Summary:	fping - pings multiple hosts at once
Summary(pl.UTF-8):	fping - ping sprawdzający wiele hostów naraz
Summary(pt_BR.UTF-8):	Ferramenta para enviar pings para várias máquinas de uma só vez
Name:		fping
Version:	5.2
Release:	1
License:	distributable
Group:		Networking/Utilities
Source0:	http://fping.org/dist/%{name}-%{version}.tar.gz
# Source0-md5:	e5b2838c9a40698d88ad180378442737
URL:		http://fping.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
fping is a ping(1) like program which uses the Internet Control
Message Protocol (ICMP) echo request to determine if a host is up.
fping is different from ping in that you can specify any number of
hosts on the command line, or specify a file containing the lists of
hosts to ping. Instead of trying one host until it timeouts or
replies, fping will send out a ping packet and move on to the next
host in a round-robin fashion. If a host replies, it is noted and
removed from the list of hosts to check. If a host does not respond
within a certain time limit and/or retry limit it will be considered
unreachable.

%description -l pl.UTF-8
fping to program podobny do ping(1), używającego żądania echo
(echo-request) protokołu ICMP do stwierdzenia, czy host działa. fping
różni się od ping tym, że można podać dowolną liczbę hostów z linii
poleceń lub podać plik zawierający listę hostów do sprawdzenia.
Zamiast sprawdzania pojedynczego hosta do upłynięcia limitu czasu lub
odpowiedzi, fping wysyła pakiet pinga i przesuwa się do następnego
hosta w trybie Round-Robin. Jeżeli host odpowiada, jest on zapisywany
i usuwany z listy do sprawdzenia. Jeżeli nie odpowiada przez pewien
czas lub pewną liczbę prób, jest traktowany jako niedostępny.

%description -l pt_BR.UTF-8
O fping é um programa que utiliza a requisição de eco do Internet
Control Message Protocol (ICMP) para determinar se uma máquina alvo
está respondendo. O fping difere do ping na medida que se pode
especificar qualquer número de alvos na linha de comando, ou
especificar um arquivo contendo as listas de alvos a enviar ping. Ao
invés de enviar para um alvo até que expire o tempo máximo ou ele
responda, o fping enviará um pacote de ping para cada alvo ao mesmo
tempo.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-ipv4 \
	--enable-ipv6
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}

%{__make} install \
	sbindir=%{_bindir} \
	DESTDIR=$RPM_BUILD_ROOT

ln -s %{_bindir}/fping $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md doc/{CHANGELOG.pre-v4,README.1992}
%attr(4754,root,icmp) %{_bindir}/fping
%attr(4754,root,icmp) %{_sbindir}/fping
%{_mandir}/man8/fping*.8*
%changelog
* Sat Jun 08 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fping.git;a=log;h=master

* Sat Jun 08 2024 Jakub Bogusz <qboosh@pld-linux.org> 72b608c
- updated to 5.2

* Sun Jun 18 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c047fb
- Up to 5.1

* Wed Feb 20 2019 Adam Gołębiowski <adamg@pld-linux.org> a97cd92
- updated to 4.2

* Sun Oct 07 2018 Adam Gołębiowski <adamg@pld-linux.org> d38aa72
- updated to 4.1

* Wed May 24 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> c591d99
- Version: 4.0

* Sat Nov 05 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 4fa4d59
- rel 2; use icmp group (like our other ping tools) instead of adm

* Fri Dec 18 2015 Mariusz Mazur <mmazur@axeos.com> c779059
- Up to 3.13

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> cbb8d8d
- x32 rebuild
- release 9 (by relup.sh)

* Sat May 22 2010 Tomasz Pala <gotar@pld-linux.org> 6d0e413
- fixed Group

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 49c02e9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 476df42
- converted to UTF-8

* Sat Sep 11 2004 Tomasz Pala <gotar@pld-linux.org> 9b51c53
- moved from _sbindir to _bindir leaving symlink, release 8

* Sat Sep 11 2004 Tomasz Pala <gotar@pld-linux.org> c42812b
- o+r

* Wed Aug 18 2004 undefine <undefine@pld-linux.org> 75eea94
- release 7

* Sat Dec 06 2003 undefine <undefine@pld-linux.org> c35517a
- release 6 to rebuild with ac

* Tue Jul 08 2003 Paweł Gołaszewski <blues@pld-linux.org> cfbed43
- "f" and some "g" letters of small fixes inpired by kloczek

* Mon May 26 2003 Michal Moskal <michal@moskal.me> 02cd439
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> d76e5a1
- massive attack s/pld.org.pl/pld-linux.org/

* Tue May 20 2003 kloczek <kloczek@pld-linux.org> ea48fac
- merge translations from Conectiva.

* Mon Nov 11 2002 kloczek <kloczek@pld-linux.org> 3b76503
- release 5.

